import typescript from "@rollup/plugin-typescript";
import resolve from "@rollup/plugin-node-resolve";
import commonjs from "@rollup/plugin-commonjs";

export default {
  input: "src/index.ts", // 更改入口文件
  output: [
    {
      file: "dist/i18n-puller.esm.js",
      format: "es",
      sourcemap: true,
    },
    {
      file: "dist/i18n-puller.umd.js",
      format: "umd",
      name: "i18nPuller",
      sourcemap: true,
    },
  ],
  plugins: [
    typescript({
      tsconfig: "./tsconfig.json",
    }),
    commonjs(), // 添加commonjs支持
    resolve({
      browser: true, // 优先使用browser字段
    }),
  ],
};
