/* eslint-disable no-undef */
/* eslint-disable @typescript-eslint/no-require-imports */

// 递增小版本的脚本
// 例如： 1.0.0 -> 1.0.1 或者 1.0.1-beta.1 -> 1.0.1-beta.2

const fs = require("fs");
const path = require("path");

const packagePath = path.resolve(__dirname, "../package.json");

const packageString = fs.readFileSync(packagePath, "utf-8");
const packageJson = JSON.parse(packageString);

const oldVersion = packageJson.version;
console.log("oldVersion:", oldVersion);
const versions = oldVersion.split(".");

const oldStuffix = Number(versions.pop());
if (isNaN(oldStuffix)) {
  throw new Error("版本号最后一位不是数字");
}

const suffixV = oldStuffix + 1;

const finalVersion = versions.join(".") + "." + suffixV;

console.log("finalVersion:", finalVersion);

// 替换写进package.json
const finalString = packageString.replace(oldVersion, finalVersion);

fs.writeFileSync(packagePath, finalString);

console.log(`🚀 修改迭代版本号成功: `);
console.log(`   ${oldVersion} => ${finalVersion}`);
