import request from "./request";

export const pullRecourse = async (url: string, locales: string | string[]) => {
  let neededResource = locales;

  if (typeof neededResource === "string") {
    const fetchUrl = `${url}/${neededResource}/default`;
    const res = await request.get(fetchUrl);
    console.log(`${neededResource}语料获取成功`);
    return res;
  }
  if (Array.isArray(neededResource)) {
    const localeMap: { [key: string]: any } = {};

    const fetchPromises = neededResource.map(async (lang) => {
      try {
        const fetchUrl = `${url}/${lang}/default`;
        localeMap[lang] = await request.get(fetchUrl);
        console.log(`${lang}语料获取成功`);
      } catch (err) {
        console.error(`${lang}语料获取失败`, err);
      }
    });
    await Promise.all(fetchPromises);
    return localeMap;
  }
};
